import { useMemo } from 'react';
import { geoNaturalEarth1, geoPath, geoGraticule, extent } from 'd3'

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();
const missingDataColor = '#D3D3D3';

export const MapMarks = ({
  worldAtlas: { countries, interiors}, 
  rowByNumericCode, 
  countryCodes,
  colorScale, 
  colorValue,
  selectedyear
}) => {

// const colorValue = d => d.aids;
  const map = useMemo(() => {
         return (
                <>
                    <path className="sphere" d={path({type: 'Sphere'})} />
                    <path className="graticule" d={path(graticule())} />
                    {
                       countries.features.map(feature => {
                         const d = rowByNumericCode.get(feature.id);
                         
                       return (
                          <path fill={d ? colorScale(colorValue(d)) : missingDataColor} d={path(feature)} />
                       )})        
                    }
                    <path className="interiors" d={path(interiors)} />
                </>
)},[path, graticule, countries, interiors]);
  
return (
    <g className="marks">
    			{map}
      </g>
)};