import { useMemo } from 'react';
import { scaleSqrt, scaleTime, scaleSequential, min, max, extent, timeFormat, interpolateYlOrRd } from 'd3';
import { MapMarks } from './MapMarks';
  
const colorValue = d => d.aids;

const BubbleMap = ({
  mapData,
  data,
  rowByNumericCode,
  height
}) => {
  console.log(max(data, colorValue))
  const colorScale = useMemo(() => {
    return (
      scaleSequential(interpolateYlOrRd)
        .domain([0, max(data, colorValue)])
      )
  },[data, colorValue]);  
  
 return (
				<MapMarks 
          worldAtlas={mapData} 
          rowByNumericCode={rowByNumericCode} 
          colorScale={colorScale} 
          colorValue={colorValue} 
          height={height}
        />
 		);
};

export default BubbleMap;