import { useState, useEffect } from 'react';
import { json } from 'd3';
import {feature, mesh } from 'topojson';

export const useWorldAtlas = (url) => {
  const [worldAtlas, setWorldAtlas] = useState(null);
   useEffect(() => {
    json(url).then(topology => {
      const { countries, land} = topology.objects;
     	setWorldAtlas({
        countries: feature(topology, countries),
        interiors: mesh(topology, countries, (a,b) => a !== b)
      })
    });
  }, []);
  
  return { worldAtlas };
}